List plans
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidscope_key?|nulltarget_version_id?|nullstatus?|nullcursor?string|nulllimit?LimitRange
1 <= value <= 100Default
25Successful Response
application/json- response
has_more?Has MoreDefault
falseitems*array<>next_cursor?string|nullcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/plans'Example Response
{ "has_more": false, "items": [ { "baseline_progress": { "checks": [ { "criterion": { "id": "string", "predicate": { "allowed_source_keys": [ "string" ], "attribute": "string", "expected": "string", "key": "string", "kind": "entity_present", "relationship_kinds": [ "string" ], "required_sources": [ "code" ] }, "title": "string" }, "result": { "affected_keys": [ "string" ], "collection_refs": [ "string" ], "detail": "string", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "outcome": "holds" } } ], "evaluated_at": "2019-08-24T14:15:22Z", "evidence": [ { "attributes": { "property1": "string", "property2": "string" }, "content_sha256": "string", "evidence_kind": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "location": { "end_column": 1, "end_line": 1, "path": "string", "start_column": 1, "start_line": 1 }, "object": { "attributes": { "property1": "string", "property2": "string" }, "key": "string", "kind": "repository", "name": "string" }, "observed_at": "2019-08-24T14:15:22Z", "provider": "string", "relationship_kind": "string", "source_ref": "string", "source_type": "code", "subject": { "attributes": { "property1": "string", "property2": "string" }, "key": "string", "kind": "repository", "name": "string" }, "summary": "string" } ], "observed_at": "2019-08-24T14:15:22Z", "progress": 0, "satisfied": 0, "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0", "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1", "total": 1, "unknown": 0, "unknown_fraction": 0, "verified_complete": true, "violated": 0, "weighting": "One equal share per distinct assertion; unknowns stay in the denominator." }, "baseline_snapshot_id": "52737707-07c6-4939-8e33-14d360aab527", "baseline_version_id": "c411484f-87ef-4e66-9c9d-aae059a6c1db", "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "created_by_name": "string", "criteria": [ { "id": "string", "predicate": { "allowed_source_keys": [ "string" ], "attribute": "string", "expected": "string", "key": "string", "kind": "entity_present", "relationship_kinds": [ "string" ], "required_sources": [ "code" ] }, "title": "string" } ], "due_at": "2019-08-24T14:15:22Z", "due_timezone": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_progress": { "checks": [ { "criterion": { "id": "string", "predicate": { "allowed_source_keys": [ "string" ], "attribute": "string", "expected": "string", "key": "string", "kind": "entity_present", "relationship_kinds": [ "string" ], "required_sources": [ "code" ] }, "title": "string" }, "result": { "affected_keys": [ "string" ], "collection_refs": [ "string" ], "detail": "string", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "outcome": "holds" } } ], "evaluated_at": "2019-08-24T14:15:22Z", "evidence": [ { "attributes": { "property1": "string", "property2": "string" }, "content_sha256": "string", "evidence_kind": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "location": { "end_column": 1, "end_line": 1, "path": "string", "start_column": 1, "start_line": 1 }, "object": { "attributes": { "property1": "string", "property2": "string" }, "key": "string", "kind": "repository", "name": "string" }, "observed_at": "2019-08-24T14:15:22Z", "provider": "string", "relationship_kind": "string", "source_ref": "string", "source_type": "code", "subject": { "attributes": { "property1": "string", "property2": "string" }, "key": "string", "kind": "repository", "name": "string" }, "summary": "string" } ], "observed_at": "2019-08-24T14:15:22Z", "progress": 0, "satisfied": 0, "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0", "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1", "total": 1, "unknown": 0, "unknown_fraction": 0, "verified_complete": true, "violated": 0, "weighting": "One equal share per distinct assertion; unknowns stay in the denominator." }, "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05", "owner_name": "string", "rationale": "string", "revision": 0, "scope_key": "string", "status": "planned", "subject_keys": [ "string" ], "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "verification_snapshot_id": "74f30134-8da5-4b8c-b107-2de86c3f7115", "verified_at": "2019-08-24T14:15:22Z", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" } ], "next_cursor": "string"}